/*
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package com.acroynon.springdatarestexample.client.api;

import com.acroynon.springdatarestexample.client.common.ApiException;
import com.acroynon.springdatarestexample.client.model.JsonSchema;
import com.acroynon.springdatarestexample.client.model.RepresentationModelObject;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for ProfileControllerApi
 */
@Disabled
public class ProfileControllerApiTest {

    private final ProfileControllerApi api = new ProfileControllerApi();

    /**
     * @throws ApiException if the Api call fails
     */
    @Test
    public void descriptor111Test() throws ApiException {
        String response = api.descriptor111();
        // TODO: test validations
    }

    /**
     * @throws ApiException if the Api call fails
     */
    @Test
    public void descriptor112Test() throws ApiException {
        String response = api.descriptor112();
        // TODO: test validations
    }

    /**
     * @throws ApiException if the Api call fails
     */
    @Test
    public void descriptor113Test() throws ApiException {
        String response = api.descriptor113();
        // TODO: test validations
    }

    /**
     * @throws ApiException if the Api call fails
     */
    @Test
    public void descriptor114Test() throws ApiException {
        String response = api.descriptor114();
        // TODO: test validations
    }

    /**
     * @throws ApiException if the Api call fails
     */
    @Test
    public void listAllFormsOfMetadata1Test() throws ApiException {
        RepresentationModelObject response = api.listAllFormsOfMetadata1();
        // TODO: test validations
    }

}
